Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.client
Interface RunAsyncCallback

    public interface RunAsyncCallback

A callback meant to be used by `GWT.runAsync(RunAsyncCallback)`.

Method Summary
`void` | `onFailure(java.lang.Throwable reason)` Called when, for some reason, the necessary code cannot be loaded.
`void` | `onSuccess()` Called once the necessary code for it has been loaded.

Method Detail

### onFailure

    void onFailure(java.lang.Throwable reason)

  Called when, for some reason, the necessary code cannot be loaded. For example, the web browser might no longer have network access.

### onSuccess

    void onSuccess()

  Called once the necessary code for it has been loaded.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD